[arch-commits] Commit in python-matplotlib/repos (3 files)

Bruno Pagani archange at archlinux.org
Wed Oct 24 13:30:29 UTC 2018


    Date: Wednesday, October 24, 2018 @ 13:30:28
  Author: archange
Revision: 398823

archrelease: copy trunk to community-testing-x86_64

Added:
  python-matplotlib/repos/community-testing-x86_64/
  python-matplotlib/repos/community-testing-x86_64/PKGBUILD
    (from rev 398822, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-testing-x86_64/setup.cfg
    (from rev 398822, python-matplotlib/trunk/setup.cfg)

-----------+
 PKGBUILD  |   70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 setup.cfg |    3 ++
 2 files changed, 73 insertions(+)

Copied: python-matplotlib/repos/community-testing-x86_64/PKGBUILD (from rev 398822, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2018-10-24 13:30:28 UTC (rev 398823)
@@ -0,0 +1,70 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgname=python-matplotlib
+pkgver=3.0.0
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('x86_64')
+url="https://matplotlib.org"
+license=('custom')
+depends=('freetype2' 'libpng' 'python-numpy' 'python-cycler' 'python-dateutil' 'python-kiwisolver' 'python-pyparsing')
+optdepends=('tk: Tk{Agg,Cairo} backends'
+            'python-pyqt5: Qt5{Agg,Cairo} backends'
+            'python-gobject: for GTK3{Agg,Cairo} backend'
+            'python-wxpython: WX{,Agg,Cairo} backend'
+            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
+            'python-cairocffi: alternative for Cairo backends'
+            'python-tornado: WebAgg backend'
+            'ffmpeg: for saving movies'
+            'imagemagick: for saving animated gifs'
+            'python-pillow: for reading/saving jpeg/bmp/tiff files'
+            'ghostscript: usetex dependencies'
+            'texlive-bin: usetex dependencies')
+makedepends=('git' 'rsync' 'python-setuptools'
+             'tk' 'python-pyqt5' 'python-gobject'
+             'python-wxpython' 'python-cairocffi' 'python-tornado'
+             'python-pillow' 'ghostscript' 'texlive-bin')
+             # 'qhull' missing pkg-config file
+             # 'agg' missing some non-upstreamed patches?
+checkdepends=('python-pytest-xdist' 'python-pytest-runner' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'inkscape' 'mencoder'
+              'ffmpeg' 'imagemagick' 'ttf-freefont' 'python-pandas')
+source=($pkgname-$pkgver.tar.gz::"https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        "https://github.com/matplotlib/matplotlib/commit/ae005f3d0165963ba827712507fc9856b452d162.patch"
+        setup.cfg)
+sha512sums=('1bcc665a3557655308c3688c747be4d35fce8742db67eda0cb494a550269bf4fba84d78b36f8296f82919b4cec50b5d23c9ce6d1f3a312a9d2dfaf3b2332b335'
+            '046329bcc0117a79f99cdb7fcf100e09e7792be93ebf76fb52e80e08d27802a00f6568b34037eaf47ec14b35d0ad1542dea7884ea3a814fe0f46526856a77fad'
+            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b')
+
+prepare() {
+  cd matplotlib-$pkgver
+  # Python 3.7.1 related fix https://github.com/matplotlib/matplotlib/issues/12601
+  patch -p1 -i ../ae005f3d0165963ba827712507fc9856b452d162.patch
+  cd ..
+  cp -a matplotlib-$pkgver{,-test}
+
+  # Configure tests (FS#48175)
+  cp setup.cfg matplotlib-$pkgver-test/
+}
+
+build() {
+  cd matplotlib-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd matplotlib-$pkgver-test
+  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
+}
+
+package_python-matplotlib() {
+  cd matplotlib-$pkgver
+  python setup.py install --root "$pkgdir" --prefix=/usr --optimize=1 --skip-build
+  install -Dm644 doc/users/license.rst -t "$pkgdir"/usr/share/licenses/${pkgname}/
+}

Copied: python-matplotlib/repos/community-testing-x86_64/setup.cfg (from rev 398822, python-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-x86_64/setup.cfg	                        (rev 0)
+++ community-testing-x86_64/setup.cfg	2018-10-24 13:30:28 UTC (rev 398823)
@@ -0,0 +1,3 @@
+[packages]
+tests = True
+toolkits_tests = True



More information about the arch-commits mailing list